﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication192
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetTable();
        }

        static DataTable GetTable()
        {
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));
            table.Columns.Add("test", typeof(string));
            table.Columns.Add("test2", typeof(string));

            for (int i = 0; i < 50; i++)
            {
                table.Rows.Add(25+i, "Indocin", "David", DateTime.Now, "test "+ i.ToString(), "test2 "+i.ToString()); 
            }
            
            return table;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Console.WriteLine("Start time - " + DateTime.Now + ":" + DateTime.Now.Millisecond);
            ultraGrid1.Height = ultraGrid1.DisplayLayout.Override.DefaultRowHeight * ultraGrid1.Rows.Count + ultraGrid1.DisplayLayout.Bands[0].Columns[0].Header.Height+
                ultraGrid1.DisplayLayout.UIElement.GetDescendant(typeof(GroupByBoxUIElement)).Rect.Height;
            Console.WriteLine("End time - " + DateTime.Now + ":" + DateTime.Now.Millisecond);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.DefaultRowHeight = 32;
        }
    }
}
